# Class: RightPanelWidget

## RightPanelWidget()

This widget manages rendering panels in the right-hand pane.

## Constructor

#### new RightPanelWidget()

Source:
  - widgets/right_panel_widget.js, line 19

### Extends

- NoteContextAwareWidget

### Members

#### hoistedNoteId

Overrides:
  - NoteContextAwareWidget#hoistedNoteId
Source:
  - widgets/note_context_aware_widget.js, line 42

#### note

Overrides:
  - NoteContextAwareWidget#note
Source:
  - widgets/note_context_aware_widget.js, line 27

#### noteContext :NoteContext

##### Type:

- NoteContext

Overrides:
  - NoteContextAwareWidget#noteContext
Source:
  - widgets/note_context_aware_widget.js, line 108

#### noteId

Overrides:
  - NoteContextAwareWidget#noteId
Source:
  - widgets/note_context_aware_widget.js, line 32

#### notePath

Overrides:
  - NoteContextAwareWidget#notePath
Source:
  - widgets/note_context_aware_widget.js, line 37

#### widgetTitle

Title to show in the panel.

Source:
  - widgets/right_panel_widget.js, line 21

### Methods

#### cssBlock(block) → {this}

Accepts a string of CSS to add with the widget.

##### Parameters:

Name | Type | Description
--- | --- | ---
`block` | string |

Overrides:
  - NoteContextAwareWidget#cssBlock
Source:
  - widgets/basic_widget.js, line 78

##### Returns:

for chaining

Type
  this

#### doRender()

Do not override this method unless you know what you're doing. Do not override this method unless you know what you're doing.

Overrides:
  - NoteContextAwareWidget#doRender
Source:
  - widgets/right_panel_widget.js, line 37

#### (async) doRenderBody() → {Promise|undefined}

Method used for rendering the body of the widget (via existing this.$body) Your class should override this method.

Source:
  - widgets/right_panel_widget.js, line 66

##### Returns:

if widget needs async operation to initialize, it can return a Promise

Type
  Promise | undefined

#### isEnabled() → {boolean}

Overrides:
  - NoteContextAwareWidget#isEnabled
Source:
  - widgets/note_context_aware_widget.js, line 53

##### Returns:

true when an active note exists

Type
  boolean

#### (async) refreshWithNote(note) → {Promise.<void>}

Override this method to be able to refresh your widget with each note.

##### Parameters:

Name | Type | Description
--- | --- | ---
`note` | FNote |

Overrides:
  - NoteContextAwareWidget#refreshWithNote
Source:
  - widgets/note_context_aware_widget.js, line 73

##### Returns:

Type
  Promise.<void>